Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.troubleticket
Class TroubleTicketValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.troubleticket.TroubleTicketValue

public class TroubleTicketValue
extends SmartValue

The trouble ticket provides a mechanism by which customer issue can be logged and tracked. It employs a workflow and a journaling capability to ensure that customer problems are dealt with according to company policy. The workflow can be adapted to particular business requirements.

See Also:
  `TroubleTicket`, `TroubleTicketHome`, `TroubleTicket.getTroubleTicketByValue()`, `TroubleTicket.setTroubleTicketByValue(TroubleTicketValue)`, Serialized Form

Field Summary
`java.lang.String` | `category` category [TroubleTicket] <*>------> [`String`]
`SmartHandle` | `customer` customer [TroubleTicket] <>------> [`theory.smart.ebusiness.customer.Customer`]
`java.sql.Date` | `dateOpened` dateOpened [TroubleTicket] <*>------> [`java.sql.Date`]
`java.lang.String` | `description` description [TroubleTicket] <*>------> [`String`]
`java.lang.String` | `identifier` identifier [TroubleTicket] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.LinkedList` | `journals` journal (List) [TroubleTicket] <*>------> [`theory.smart.ebusiness.troubleticket.JournalEntry`] 0..*
`WorkflowContext` | `ticketStatus` ticketStatus [TroubleTicket] <*>------> [`theory.smart.ebusiness.troubleticket.TroubleTicketWorkflow`]

Constructor Summary
`protected` | `TroubleTicketValue()` Only get/setTroubleTicketByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [TroubleTicket] <*>------> [String] (Primary Key)

### category

    public java.lang.String category

                        category
       [TroubleTicket] <*>------> [String]

### dateOpened

    public java.sql.Date dateOpened

                        dateOpened
       [TroubleTicket] <*>------> [java.sql.Date]

### description

    public java.lang.String description

                        description
       [TroubleTicket] <*>------> [String]

### journals

    public com.sun.java.util.collections.LinkedList journals

                        journal (List)
       [TroubleTicket] <*>------> [theory.smart.ebusiness.troubleticket.JournalEntry]
                           0..*

### ticketStatus

    public WorkflowContext ticketStatus

                        ticketStatus
       [TroubleTicket] <*>------> [theory.smart.ebusiness.troubleticket.TroubleTicketWorkflow]

### customer

    public SmartHandle customer

                        customer
       [TroubleTicket] <>------> [theory.smart.ebusiness.customer.Customer]

Constructor Detail

### TroubleTicketValue

    protected TroubleTicketValue()

  Only get/setTroubleTicketByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.